# Returns a list of records with the specified coupon id Returns a list of records with the specified coupon id Endpoint: GET /orders/{tenantId}/couponUsages/{coupon_type}/{coupon_id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `coupon_type` (string, required) The coupon_type to use to for record lookup - `coupon_id` (string, required) The coupon_id to use to for record lookup ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned - `exclusiveStartKey` (string) If paging, this allows you to return the next set of results ## Response 200 fields (application/json): - `Count` (integer) - `Items` (array) - `Items.contact_id` (string) The bill to contact - `Items.coupon_code_id` (string) The coupon code id - `Items.coupon_id` (string) The coupon id - `Items.coupon_type` (string) The type of coupon - `Items.customer_id` (string) The customer ID, concatenated type and contact/org - `Items.date` (string) The order date/date of usage - `Items.discount` (number) The amount that this coupon usage discounted the order - `Items.order_id` (string) The order - `Items.order_number` (number) The order # - `Items.order_total` (number) The total amount of the order - `Items.organization_id` (string) The bill to organization - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields